#### CRYPTOMODE

#### Synopsis

    HELP:   Encryption mode (Only with mode=adc or mode=ndc) [NONE]
    TYPE:   NUMBER
    SYNTAX: CRYPTOMODE/CRYMODE/ENCMODE/CRYPTMODE/CRYPTOM=OFF/AES/FLAMENC

#### Description

This parameter has the effect that the FLAMFILE is encrypted.

This encryption method is activated by setting the parameters `CRYPTOMODE=AES` and `CRYPTOKEY=key` and is available with compression modes ADC or NDC. With `CRYPTOMODE=AES` the compression mode defaults to ADC rather than the mode specified in the default settings. For compression with `mode=adc` or `mode=ndc` the password specification is required. Without entering a `MODE` parameter, ADC is used.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `CRYPTOMODE=AES/FLAM`
  - `CRYPTOM=AES/FLAM`
    Password specification required, see also parameters CRYPTOKEY and PASSWORD.
- UNIX
  - See parameter MODE for `-mode=aes` or `flamenc`
    This parameter specifies the mode in which the original file is compressed and encrypted.
- WINDOWS
  - `cryptmode=crypt option`
    Password specification required, see also parameter CRYPTOKEY and PASSWORD.

Values

- z/OS
  - `CRYPTOMODE=FLAM`
    Internal FLAM encryption ( FLAM Version 3 ). CRYPTOMODE=FLAM and MODE CX8 or VR8 are not supported.
  - `CRYPTOMODE=AES`
    Advanced Encryption Standard ( FLAM Version 4 )
    Note: AES with `MODE=ADC` was introduced in FLAM V4.0 and is not compatible to older versions. AES and `MODE=CX8/VR8` is introduced in this version and requires FLAM V4.7 as minimum. FLAM and `MODE=CX8/VR8` is not supported.
- WINDOWS
  - `cryptmode=none`
    no encryption
  - `cryptmode=flam`
    FLAM encryption (FLAM Version 3)
  - `cryptmode=aes`
    encryption with AES (FLAM Version 4)

Default

- z/OS
  - `FLAM`
- WINDOWS
  - none

Valid for

- compression

#### Selections

- `OFF - Disable encryption`
- `AES - AES encryption`
- `FLAMENC - FLAM encryption`